@ECHO OFF&PUSHD %~DP0 &TITLE 绿化
:Menu
echo.&echo +.创建桌面云管家
echo.&echo 1.注册浏览器加速下载控件
echo.&echo 2.注册右键上传备份项控件
echo.&echo.
set /p a= 输入数字回车：
if "%a%"=="+" Goto DesktopLnk
if "%a%"=="1" Goto AddWebDetect
if "%a%"=="2" Goto AddYunShell
:AddWebDetect
regsvr32 /s npYunWebDetect.dll
SET E=完成!&GOTO MSGBOX
:AddYunShell
if exist "%WinDir%\SysWOW64" regsvr32 /s YunShellExt64.dll
if not exist "%WinDir%\SysWOW64" regsvr32 /s YunShellExt.dll
SET E=完成!&GOTO MSGBOX
:DesktopLnk
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\云管家.lnk""):b.TargetPath=""%~dp0BaiduYunGuanjia.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&SET E=完成!&GOTO MSGBOX
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)& Cls&Goto Menu